Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Static Protected Attributes
Lucene::CycleCheck Class Reference

Debug utility to track shared_ptr utilization. More...

`#include <CycleCheck.h>`

Inheritance diagram for Lucene::CycleCheck:

## Public Member Functions

virtual | ~CycleCheck ()

## Static Public Member Functions

template<class TYPE >
static void | addStatic (TYPE &staticRef)
static void | dumpRefs ()

## Protected Member Functions

void | addRef (const String &className, int32_t ref)

## Static Protected Member Functions

static void | addStatic (LuceneObjectPtr *staticRef)

## Static Protected Attributes

static MapStringInt | cycleMap
static Set< LuceneObjectPtr * > | staticRefs

## Detailed Description

Debug utility to track shared_ptr utilization.

## Constructor & Destructor Documentation

## ◆ ~CycleCheck()

virtual Lucene::CycleCheck::~CycleCheck | ( |  | ) |

virtual

## Member Function Documentation

## ◆ addRef()

void Lucene::CycleCheck::addRef | ( | const String & | className,
|  | int32_t | ref
| ) |  |

protected

Referenced by Lucene::CycleCheckT< TYPE >::CycleCheckT(), and Lucene::CycleCheckT< TYPE >::~CycleCheckT().

## ◆ addStatic() [1/2]

static void Lucene::CycleCheck::addStatic | ( | LuceneObjectPtr * | staticRef | ) |

static protected

## ◆ addStatic() [2/2]

template<class TYPE >

static void Lucene::CycleCheck::addStatic | ( | TYPE & | staticRef | ) |

inline static

## ◆ dumpRefs()

static void Lucene::CycleCheck::dumpRefs | ( |  | ) |

static

## Field Documentation

## ◆ cycleMap

MapStringInt Lucene::CycleCheck::cycleMap

static protected

## ◆ staticRefs

Set<LuceneObjectPtr*> Lucene::CycleCheck::staticRefs

static protected

The documentation for this class was generated from the following file:

- CycleCheck.h

clucene.sourceforge.net